function [cov_gij]=metric(a,b,c,aa,bb,cc)


%---- covariant metric tensor
cov_gij=[a^2 a*b*cosd(cc) a*c*cosd(bb); ...
     a*b*cosd(cc) b^2 b*c*cosd(aa); ...
     a*c*cosd(bb) b*c*cosd(aa)  c^2];


%---- volume of direct lattiice
%vol=sqrt(det(cov_gij));

%---- contravariant metric tensor
cont_gij=cov_gij^-1;

%---- reciprocal lattice vectors

a_star=cont_gij(:,1);
b_star=cont_gij(:,2);
c_star=cont_gij(:,3);

endfunction
