function CalcHKL()
%
% calculates HKL from theta,chi,phi
% assumes bissectiong geometry (omega = 0)
%

lambda = 1.3;
theta = 37.45
chi = 53.30
phi = -116.57

load UBMat;

H = 2*sind(theta)/lambda;
%bisecting geometry
%omega = 0
x = H*cosd(chi)*cosd(phi);
y = H*cosd(chi)*sind(phi);
z = H*sind(chi);

R13 = inv(UBMat);

[HKL] = R13*[x;y;z]
 
endfunction
