function [uphi] = Uphi(uobs)
%
% unit vector coordinates in instrument system
% Eq. 22 Busing-Levy
%

omega = uobs(1);
chi = uobs(2);
phi = uobs(3);

uphi = [cosd(omega)*cosd(chi)*cosd(phi)-sind(omega)*sind(phi);
        cosd(omega)*cosd(chi)*sind(phi)+sind(omega)*cosd(phi);
        cosd(omega)*sind(chi)];

endfunction
